diff -pruN 3.38.0-1/debian/changelog 3.38.0-2/debian/changelog
--- 3.38.0-1/debian/changelog	2020-09-16 13:55:05.000000000 +0000
+++ 3.38.0-2/debian/changelog	2020-09-24 19:29:37.000000000 +0000
@@ -1,3 +1,11 @@
+cheese (3.38.0-2) unstable; urgency=medium
+
+  * debian/patches/gitlab_always_headerbar.patch:
+    - display the headerbar on any desktop since the compatibility menubar
+      was removed, thanks esoleyman (lp: #1879183)
+
+ -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 24 Sep 2020 21:29:37 +0200
+
 cheese (3.38.0-1) unstable; urgency=medium
 
   [ Simon McVittie ]
diff -pruN 3.38.0-1/debian/patches/gitlab_always_headerbar.patch 3.38.0-2/debian/patches/gitlab_always_headerbar.patch
--- 3.38.0-1/debian/patches/gitlab_always_headerbar.patch	1970-01-01 00:00:00.000000000 +0000
+++ 3.38.0-2/debian/patches/gitlab_always_headerbar.patch	2020-09-24 19:29:37.000000000 +0000
@@ -0,0 +1,35 @@
+From 81f9be8b6c6208b8d88badead94eb5d5da0bfb63 Mon Sep 17 00:00:00 2001
+From: esoleyman <emil@soleyman.com>
+Date: Wed, 12 Aug 2020 12:22:01 -0500
+Subject: [PATCH] Allow headerbar to appear on all desktops
+
+Removed gtk_dialogs_use_header() and accompanying code to allow the
+headerbar to appear in GNOME as well as other desktops. Tested with
+XFCE and it works as expected.
+
+Fixes: #62, #85
+---
+ src/cheese-window.vala | 10 ++--------
+ 1 file changed, 2 insertions(+), 8 deletions(-)
+
+diff --git a/src/cheese-window.vala b/src/cheese-window.vala
+index ff069808..b3a13ddf 100644
+--- a/src/cheese-window.vala
++++ b/src/cheese-window.vala
+@@ -123,14 +123,8 @@ public class Cheese.MainWindow : Gtk.ApplicationWindow
+         GLib.Object (application: application);
+ 
+         header_bar = header_bar_ui.get_object ("header_bar") as Gtk.HeaderBar;
+-
+-        Gtk.Settings settings = Gtk.Settings.get_default ();
+-
+-        if (settings.gtk_dialogs_use_header)
+-        {
+-            header_bar.visible = true;
+-            this.set_titlebar (header_bar);
+-        }
++        header_bar.visible = true;
++        this.set_titlebar (header_bar);
+     }
+ 
+     private void set_window_title (string title)
diff -pruN 3.38.0-1/debian/patches/series 3.38.0-2/debian/patches/series
--- 3.38.0-1/debian/patches/series	1970-01-01 00:00:00.000000000 +0000
+++ 3.38.0-2/debian/patches/series	2020-09-24 19:29:37.000000000 +0000
@@ -0,0 +1 @@
+gitlab_always_headerbar.patch
